Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.algorithms
Class Alignment

    java.lang.Object
      de.jstacs.algorithms.Alignment

    public class Alignment

extends Object

Class for gapped global alignments using the extended Needleman-Wunsch algorithm.

Author:
  Jan Grau

Nested Class Summary
`static interface` | `Alignment.Costs` General interface for the costs of an alignment.
`static class` | `Alignment.SimpleCosts` Class for simple costs with costs `mismatch` for a mismatch, costs `start` to start a new gap, `elong` to elongate a gap by one position, and costs of `0` for a match
`static class` | `Alignment.StringAlignment` Class for the representation of an alignment of two strings.

Constructor Summary
`Alignment(Sequence s1, Sequence s2, Alignment.Costs costs)` Creates a new `Alignment.StringAlignment` instance that aligns the sequences `s1` and `s2` using the costs defined in `costs`.

Method Summary
`Alignment.StringAlignment` | `getAlignment()` Computes and returns the alignment of `s1` and `s2` (`Alignment(Sequence, Sequence, de.jstacs.algorithms.Alignment.Costs)`)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Alignment

    public Alignment(Sequence s1,
                     Sequence s2,
                     Alignment.Costs costs)

  Creates a new `Alignment.StringAlignment` instance that aligns the sequences `s1` and `s2` using the costs defined in `costs`.

  Parameters:
    `s1` - the first sequence
    `s2` - the second sequence
    `costs` - the costs

Method Detail

### getAlignment

    public Alignment.StringAlignment getAlignment()

  Computes and returns the alignment of `s1` and `s2` (`Alignment(Sequence, Sequence, de.jstacs.algorithms.Alignment.Costs)`)

  Returns:
    the alignment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD